# CoreStoreObjectKeyValueObservation

    public protocol CoreStoreObjectKeyValueObservation : AnyObject

Observation token for `CoreStoreObject` properties. Make sure to retain this instance to keep observing notifications.

`invalidate()` will be called automatically when an `CoreStoreObjectKeyValueObservation` is deinited.

- `invalidate()`

  `invalidate()` will be called automatically when an `CoreStoreObjectKeyValueObservation` is deinited.

  #### Declaration

  Swift

      func invalidate()